// CPACSetp.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _CAPCSETP_HPP_
#define _CAPCSETP_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "IAD_Res.h"

/////////////////////////////////////////////////////////////////////////////
// IAD_EditorSetupDialog dialog

class IAD_EditorSetupDialog : public CDialog
{
// Construction
public:
	IAD_EditorSetupDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(IAD_EditorSetupDialog)
	enum { IDD = IDD_IAD_PREF };
	BOOL	m_bMustDisplayModelFieldsInInstance;
	BOOL	m_bMustConfirmSuppressionInWatch;
	BOOL	m_bKeepPreviousReference;
	BOOL	m_bMustDisplayUnallocatedMS;
	BOOL	m_bMustConfirmUnallocation;
	BOOL	m_bMustConfirmAllocation;
	BOOL	m_bMustFillWhenInWatch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IAD_EditorSetupDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:

protected:

	// Generated message map functions
	//{{AFX_MSG(IAD_EditorSetupDialog)
	afx_msg void OnPaint();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	virtual void OnOK();
	//}}AFX_MSG
	afx_msg long OnMyHelp(UINT, long);

private:
	BOOL m_fn_bEditColor(COLORREF &r_Color);


	DECLARE_MESSAGE_MAP()
};

#endif //_CAPCSETP_HPP_
